<?php

namespace Tests\Dedi\SyliusOrderStatusHistoryPlugin\Entity;

use Dedi\SyliusOrderStatusHistoryPlugin\Model\OrderStatusHistoryAware;
use Dedi\SyliusOrderStatusHistoryPlugin\Model\OrderStatusHistoryAwareInterface;
use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Core\Model\Order as BaseOrder;

/**
 * @ORM\Entity
 * @ORM\Table(name="sylius_order")
 */
class Order extends BaseOrder implements OrderStatusHistoryAwareInterface
{
    use OrderStatusHistoryAware {
        __construct as private initializeStatusesHistory;
    }

    public function __construct()
    {
        parent::__construct();

        $this->initializeStatusesHistory();
    }
}
